package com.cool.store.request.wallet;

import com.cool.store.common.PageBasicInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Auther zx_szh
 * @Date 2026/4/12 14:26
 * @Version 1.0
 * 只查询充值数据
 */
@Data
public class CoolTradeRecodeRequest extends PageBasicInfo {

    @ApiModelProperty(value = "交易开始时间YYYY-MM-DD HH:MM:SS",required = true)
    private String beginDate;
    @ApiModelProperty(value = "交易结束时间YYYY-MM-DD HH:MM:SS",required = true)
    private String endDate;
    @ApiModelProperty(value = "钱包类型 1.平安 2.网商 不传默认-2",required = false)
    private Integer walletType = 2;
    @ApiModelProperty(value = "费用科目",required = false)
    private Integer feeItemId;
    @ApiModelProperty(value = "门店Id",required = true)
    private String storeId;

    public TradeRecodePageRequest convertToTradeRecodePageRequest() {
        TradeRecodePageRequest target = new TradeRecodePageRequest();
        target.setBeginDate(this.getBeginDate());
        target.setEndDate(this.getEndDate());
        target.setWalletType(this.getWalletType());
        target.setFeeItemId(this.getFeeItemId());
        target.setCurrentPage(this.getPageNum());
        target.setPageSize(this.getPageSize());
        return target;
    }

}
